Get playlist by platform ID

The Get platforms for playlist data endpoint lists available platforms.

All playlist types are listed in this article from our help center.

Don't know any platform ID? Use the Get playlist metadata endpoint.

If we do not know the playlist identifier, you will get a 404 error (this won't be deducted from your API calls quota). The playlist should be added to Soundcharts within 2 hours, and data will populate within 24 hours. Learn more in the help center.

Request

GET /api/v2.8/playlist/by-platform/{platform}/{identifier}

Path parameters

Parameter Value Description Additional
platform string A playlist platform code Required
identifier string A playlist identifier Required

Query string parameters

Parameter Value Description Additional
countryCode string Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2). Required for apple-music and amazon Optional

Response

Code Description Resource
200 OK

A playlist response

Playlist
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

No playlist found for this platform identifier

Explore

A playlist platform code

A playlist identifier

Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2). Required for apple-music and amazon

Try it out